/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

import request from '@/router/axios'

export function getExportPackageTotalList(query) {
  return request({
    url: '/admin/export/getExportPackageTotalList',
    method: 'get',
    params: query
  })
}

export function selectWmScorePackageList(query) {
  return request({
    url: '/admin/export/selectWmScorePackageList',
    method: 'get',
    params: query
  })
}

export function getExportPackageZbTotalList(query) {
  return request({
    url: '/admin/export/getExportPackageZbTotalList',
    method: 'get',
    params: query
  })
}

// 表格编辑
export function updateByIdWithType(obj) {
  return request({
    url: '/admin/wmscorepackage/updateByIdWithType',
    method: 'post',
    data: obj
  })
}

// 发票类目 修改
export function invoiceCategory(query) {
  return request({
    url: '/admin/dict/type/invoice_category',
    method: 'get',
    params: query
  })
}

// 保存
export function saveSettleInfo(obj) {
  return request({
    url: '/admin/settle/saveSettleInfo',
    method: 'post',
    data: obj
  })
}
export function teamSaveSettleInfo(obj) {
  return request({
    url: '/admin/settleNote/saveSettleInfo',
    method: 'post',
    data: obj
  })
}
// 结算
export function teamSubmitSettleInfo(obj) {
  return request({
    url: '/admin/settleNote/subSettleInfo',
    method: 'post',
    data: obj
  })
}
export function teamAllSubmitSettleInfo(obj) {
  return request({
    url: '/admin/settleNote/batch-sub-settle',
    method: 'post',
    data: obj
  })
}












